Billwave
API Reference

Get a customer

Retrieves a customer for the authenticated organization. Accepts the same identifiers as track/check: the internal ID, your external customer ID, or the customer's email.

GET
/v1/customers/{id}

Authorization

bearerAuth

Path Parameters

id*string

Internal customer ID, your external customer ID (the customer value you pass to track/check), or the customer's email.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.billwave.example/v1/customers/user_123"
{
  "success": true,
  "id": "string",
  "externalId": "string",
  "email": "user@example.com",
  "name": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "billing": {
    "overageLimit": {
      "maxOverageAmount": 0,
      "onLimitReached": "block",
      "createdAt": 0,
      "updatedAt": 0
    },
    "featureConfigs": [
      {
        "feature": {
          "id": "string",
          "slug": "string",
          "name": "string"
        },
        "overage": "block",
        "maxOverageUnits": 0,
        "createdAt": 0,
        "updatedAt": 0
      }
    ]
  },
  "createdAt": 0,
  "updatedAt": 0,
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}

Ask about billwave

Ready

Start a new chat below.

Powered by Cull